Bug 1301163 - zeromq-4.1.4 is available
zeromq-4.1.4 is available
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: zeromq (Show other bugs)
epel7
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Arnaud
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1292814
Blocks: 1302118
  Show dependency treegraph
 
Reported: 2016-01-22 13:43 EST by Ben Woodard
Modified: 2016-07-26 08:22 EDT (History)
13 users (show)

See Also:
Fixed In Version: zeromq-4.1.4-5.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1292814
Environment:
Last Closed: 2016-07-09 22:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Woodard 2016-01-22 13:43:04 EST
Can we please roll EPEL7's version of zeromq forward to 4.1.4

+++ This bug was initially created as a clone of Bug #1292814 +++

Latest upstream release: 4.1.4
Current version/release in rawhide: 4.1.3-1.fc24
URL: http://zeromq.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

--- Additional comment from Upstream Release Monitoring on 2015-12-18 07:24:33 EST ---



--- Additional comment from Upstream Release Monitoring on 2015-12-18 07:36:30 EST ---

Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12236619

--- Additional comment from Thomas Spura on 2015-12-19 06:53:57 EST ---

Building in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12251637
Comment 1 Ben Woodard 2016-01-22 14:03:45 EST
The reason for the requested upgrade is the following bugs which were affecting us were addressed in the 4.1 re;ease:

 * Fixed #1399 - assertion failure in tcp.cpp after network reconnect.          
 * Fixed #1661 - does not handle IPv6 link local addresses.                      
 * Fixed #1445 - zmq::socket_base_t::connect fails on tcp ipv6 address          
 * Fixed STDINT event interface macros to work with CZMQ 3.0.                    
 * Fixed #1224 - crash when processing empty unsubscribe message.                
 * Fixed #1273 - V3 protocol handler vulnerable to downgrade attacks.            
 * Fixed #1347 - lack way to get peer address.                                  
 * Fixed #1362 - SUB socket sometimes fails to resubscribe properly.            
 * Fixed #1389 - PUB, PUSH sockets had slow memory leak.                        
 * Improved client reconnection strategy on errors                              
 * GSSAPI security mechanism                                                    
 * Message metadata -- zmq_msg_gets ()
Comment 2 Konstantinos Margaritis 2016-05-25 12:47:27 EDT
Hello, just a ping on this, as some of these bugs are affecting some of our production servers and we would appreciate it if the package could updated soon.

Thanks.
Comment 3 Denis Arnaud 2016-06-11 22:32:07 EDT
(In reply to Konstantinos Margaritis from comment #2)
> Hello, just a ping on this, as some of these bugs are affecting some of our
> production servers and we would appreciate it if the package could updated
> soon.
> 
> Thanks.

Build on EPEL7: http://koji.fedoraproject.org/koji/taskinfo?taskID=14460111
Comment 4 Fedora Update System 2016-06-11 22:46:50 EDT
zeromq-4.1.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9769421234
Comment 5 Fedora Update System 2016-06-12 19:19:05 EDT
zeromq-4.1.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9769421234
Comment 6 Tuomo Soini 2016-06-16 13:43:51 EDT
Because of SO version bump there are several other packages being broken by this update, please make sure you get those to same update.
Comment 7 Jim Garlick 2016-06-16 15:59:51 EDT
Just a heads up that zeromq-4.1.5 may be released today or very soon.

0MQ version 4.1.5 stable, released on 2016/xx/xx
================================================

* Fixed #1673 - CMake on Windows put PDB in wrong directory.

* Fixed #1723 - Family is not set when resolving NIC on Android.

* Fixed #1608 - Windows 7 TCP slow start issue.

* Fixed #1806 - uninitialised read in curve getsockopt.

* Fixed #1807 - build broken with GCC 6.

* Fixed #1831 - potential assertion failure with latest libsodium.

* Fixed #1850 - detection issues with tweetnacl/libsodium.

* Fixed #1877 - Avoid terminating connections prematurely

* Fixed #1887 - zmq_bind IPv4 fallback still tries IPv6

* Fixed #1866 - fails to build on SunOS 5.10 / Solaris 10

* Fixed #919 - ZMQ_LINGER (related to #1877)

* Fixed #114 - cannot unbind with same endpoint with IPv6 enabled.

* Fixed #1952 - CMake scripts not part of release tarballs

* Fixed #1542 - Fix a crash on Windows when port 5905 is in use.

* Fixed #2021 - Fix building on sparc32.
Comment 8 Tuomo Soini 2016-06-16 16:47:59 EDT
That shouldn't happen befor following packages are build against new zeromq:

simcrs
czmq
airinv
pdns
Comment 9 Fedora Update System 2016-06-18 11:40:49 EDT
airinv-1.00.1-2.el7 zeromq-4.1.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9769421234
Comment 10 Denis Arnaud 2016-06-18 12:10:50 EDT
(In reply to Tuomo Soini from comment #8)
> That shouldn't happen befor following packages are build against new zeromq:
> 
> simcrs
> czmq
> airinv
> pdns


Those packages have been added to the update: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9769421234
czmq was already submitted as an update last week
Comment 11 Fedora Update System 2016-06-20 23:48:21 EDT
airinv-1.00.1-2.el7, pdns-3.4.8-2.el7, simcrs-1.01.1-2.el7, zeromq-4.1.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9769421234
Comment 12 Denis Arnaud 2016-06-28 13:15:27 EDT
There is some argument against pushing that update to EPEL7:  https://bodhi.fedoraproject.org/updates/airinv-1.00.1-2.el7%20pdns-3.4.8-2.el7%20simcrs-1.01.1-2.el7%20zeromq-4.1.4-5.el7#comment-452073

What should we do?
Comment 13 Ben Woodard 2016-06-28 13:20:16 EDT
I would say that our ABI guarantees do not extend to EPEL packages and the currently shipping version is so broken due to the many bugs in it that it is not usable. Therefore I would argue that rather than trying to protect hypothetical users (who likely don't exist due to aforementioned bugs) we address real user problems.
Comment 14 Tuomo Soini 2016-06-28 13:21:11 EDT
There are very good reasons for this update and everything required by epel policy for .so version bump has been done afaik. I'd go ahead with update.
Comment 15 Fedora Update System 2016-07-09 22:22:22 EDT
airinv-1.00.1-2.el7, pdns-3.4.8-2.el7, simcrs-1.01.1-2.el7, zeromq-4.1.4-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Ruben Kerkhof 2016-07-22 12:04:28 EDT
This broke pdns. At the time of the build the new version of zeromq wasn't in the buildroot (https://kojipkgs.fedoraproject.org//packages/pdns/3.4.8/2.el7/data/logs/x86_64/root.log)

I'll rebuild pdns again but please be more carefull next time.
Comment 17 Denis Arnaud 2016-07-25 13:13:22 EDT
(In reply to Ruben Kerkhof from comment #16)
> I'll rebuild pdns again but please be more carefull next time.

Thanks Ruben! And sorry for the trouble
Comment 18 Ruben Kerkhof 2016-07-26 08:22:06 EDT
No problem!

Note You need to log in before you can comment on or make changes to this bug.